<?php

  namespace App\Http\Controllers\MyAuth;

  use App\Http\Controllers\Controller;
  use App\Models\User;
  use App\Providers\RouteServiceProvider;
  use Illuminate\Auth\Events\Registered;
  use Illuminate\Http\Request;
  use Illuminate\Support\Facades\Auth;
  use Illuminate\Support\Facades\Hash;
  use Illuminate\Validation\Rules;

  class RegisteredUserController extends Controller
  {
    /**
     * Display the registration view.
     *
     * @return \Illuminate\View\View
     */
    public function create()
    {
      return view('my-auth.register');
    }

    /**
     * Handle an incoming registration request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function store(Request $request)
    {
      $request->validate([
        'name' => ['required', 'string', 'max:255'],
        'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
        'password' => ['required', 'confirmed', Rules\Password::defaults()],
        ], [
        'required' => ':attribute は必須。メッセージ変更可能。',
        ],[
        'name' => 'ユーザー名',
        'email' => 'メールアドレス',
        'password' => 'パスワード',
        ]);

      $user = User::create([
        'name' => $request->name,
        'email' => $request->email,
        'password' => Hash::make($request->password),
        ]);

      event(new Registered($user));

      Auth::login($user);

      return redirect('/');
    }
  }
